Subject: DLUR Unextension of BIND to DLU

From: "jim (j.) cobban" <[email-masked]>
Date: Tue, 21 May 1996 14:28:00 -0400

This is a minor question, prompted by something in a trace of a DLUR
session which puzzled me.  I noticed that a trace interpreter which I had
written to give a more detailed interpretation of the contents of LAN frames
than the supplier does, had a little trouble with the unextended
LU 2 BIND which DLUR sent to the DLU.  It was interpreted as:

- - - - - - - - - - - - - - - - Frame 408  - - - - - - - - -
DMAC=08.00.5A.72.C6.39.SMAC=40.00.29.11.00.41.
DSAP=04 SSAP=04 command  I frame: Ns=8 Nr=8 P/F=0
  TH: fid=2 mpf=only odai=PRI efi=YES daf'=02 oaf'=01 snf=78: 
  RH: Request, SC, Formatted, Only in Chain, Definite response 1, Pacing, 
  SC:RU (X'31') BIND request: LU=2
  SC:  Non-Negotiable, FM profile=3, TS Profile=3
  SC:  PLU Name="NCF02"
  SC:  04 D3 E4 C2 F2                                   *?LUB2           *

The funny thing was that the program did not interpret the SLU name.  The
raw frame from the Sniffer was:

ADDR  HEX                                                EBCDIC
0000  10 40 08 00 5A 72 C6 39  40 00 29 11 00 41 04 04  . ..!.F. .......
0010  10 10 2D 00 02 01 00 4E  6B 81 00 31 01 03 03 B1  .......+,a......
0020  90 30 80 00 01 87 F8 81  00 02 80 00 00 00 00 18  .....g8a........
0030  50 00 00 7E 00 00 05 D5  C3 C6 F0 F2 00 00 04 D3  &..=...NCF02...L
0040  E4 C2 F2                                          UB2

There are two things to note about this Bind.  The first is that it is, of
course, non-negotiable (type=01).  The second is that the CVs included bit is
not set (byte 7 bit 6).  Now, to quote GA27-3136-14 (TNL GN61-1917) which is
the latest version of the SNA Reference "Network Services (NS) Secondary LU
Name Field (always present for negotiable BINDs; optionally present for
nonnegotiable BINDs that include control vectors; otherwise omitted)"  My
program checked the type and the CVs included bit, concluded that there
should be nothing left at the end of the BIND, and therefore dumped the
unexpected data in hex.

However according to the DLUR specification all that DLUR has to do to
unextend a BIND is to strip off the CVs and turn off the CV Included flag.

I suppose we come back to the same question that keeps popping up whenever
we try to refine exactly what DLUR should do.  What does the NCP boundary
function do?  If anyone has ever built a pedantic PU2 then it would seem to
be necessary to also delete the SLU name field in DLUR.